Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theater
Class MouseInfo

    java.lang.Object
      java.util.EventObject
          java.awt.AWTEvent
              java.awt.event.ComponentEvent
                  java.awt.event.InputEvent
                      java.awt.event.MouseEvent
                          theater.MouseInfo

All Implemented Interfaces:
  java.io.Serializable

    public class MouseInfo

extends java.awt.event.MouseEvent

Sowohl die Klasse Stage als auch die Klasse Component definieren die von der Java-GUI-Programmierung bekannten Methoden zur Verarbeitung von Maus-Events: mousePressed, mouseReleased, mouseClicked, mouseDragged, mouseMoved, mouseEntered und mouseExited. Die Events entsprechen dabei den Events des Java-AWT in den Klassen java.awt.event.MouseListener bzw. java.awt.event.MouseMotionListener. Den Methoden werden Objekte vom Typ MouseInfo übergeben, über die genauere Informationen über das entsprechende Event abgefragt werden können.

Die Klasse MouseInfo ist von der Klasse java.awt.event.MouseEvent abgeleitet, so dass auch alle deren Methoden benutzt werden können.

Version:
  1.0 (08.09.2009)
Author:
  Dietrich Boles, Universität Oldenburg, Germany
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.event.MouseEvent
`BUTTON1, BUTTON2, BUTTON3, MOUSE_CLICKED, MOUSE_DRAGGED, MOUSE_ENTERED, MOUSE_EXITED, MOUSE_FIRST, MOUSE_LAST, MOUSE_MOVED, MOUSE_PRESSED, MOUSE_RELEASED, MOUSE_WHEEL, NOBUTTON`

Fields inherited from class java.awt.event.InputEvent
`ALT_DOWN_MASK, ALT_GRAPH_DOWN_MASK, ALT_GRAPH_MASK, ALT_MASK, BUTTON1_DOWN_MASK, BUTTON1_MASK, BUTTON2_DOWN_MASK, BUTTON2_MASK, BUTTON3_DOWN_MASK, BUTTON3_MASK, CTRL_DOWN_MASK, CTRL_MASK, META_DOWN_MASK, META_MASK, SHIFT_DOWN_MASK, SHIFT_MASK`

Fields inherited from class java.awt.event.ComponentEvent
`COMPONENT_FIRST, COMPONENT_HIDDEN, COMPONENT_LAST, COMPONENT_MOVED, COMPONENT_RESIZED, COMPONENT_SHOWN`

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK, WINDOW_STATE_EVENT_MASK`

Constructor Summary
`MouseInfo(java.awt.event.MouseEvent e)` Konstruktor zur Initialisierung eines MouseInfo-Objektes mit einem MouseEvent-Objekt.

Method Summary
`int` | `getColumn()` Die Methode liefert die Spalte, über der sich der Mauszeiger aktuell befindet.
`java.awt.Component` | `getComponent()` Überschreibt die geerbte Methode und liefert im Falle eines Aufrufs eine RuntimeException, da ein Zugriff auf die Theater-interne Java-AWT-Komponente nicht erlaubt ist.
`java.awt.Point` | `getPoint()` Überschreibt die geerbte Methode.
`int` | `getRow()` Die Methode liefert die Reihe, über der sich der Mauszeiger aktuell befindet.
`java.lang.Object` | `getSource()` Überschreibt die geerbte Methode und liefert das jeweilige Komponenten- bzw.
`java.lang.Object` | `getUserObject()` Tritt ein Maus-Event ein, so werden alle Komponenten und die Bühne darüber informiert, insofern das Maus-Event oberhalb des ihnen zugeordneten Icons erfolgte, sie eine entsprechenden Handler-Methode definiert und die Maus-Event-Benachrichtigung aktiviert haben.
`int` | `getX()` Überschreibt die geerbte Methode.
`int` | `getY()` Überschreibt die geerbte Methode.
`void` | `setColumn(int col)` Setzt die Spalte, über der sich der Mauszeiger aktuell befindet.
`void` | `setRow(int row)` Setzt die Reihe, über der sich der Mauszeiger aktuell befindet.
`void` | `setSource(java.lang.Object source)` Setzt das Source-Objekt.
`void` | `setUserObject(java.lang.Object userObject)` Tritt ein Maus-Event ein, so werden alle Komponenten und die Bühne darüber informiert, insofern das Maus-Event oberhalb des ihnen zugeordneten Icons erfolgte, sie eine entsprechenden Handler-Methode definiert und die Maus-Event-Benachrichtigung aktiviert haben.
`void` | `setX(int x)` Setzt die x-Koordinate.
`void` | `setY(int y)` Setzt die y-Koordinate.

Methods inherited from class java.awt.event.MouseEvent
`getButton, getClickCount, getLocationOnScreen, getMouseModifiersText, getXOnScreen, getYOnScreen, isPopupTrigger, paramString, translatePoint`

Methods inherited from class java.awt.event.InputEvent
`consume, getModifiers, getModifiersEx, getModifiersExText, getWhen, isAltDown, isAltGraphDown, isConsumed, isControlDown, isMetaDown, isShiftDown`

Methods inherited from class java.awt.AWTEvent
`getID, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MouseInfo

    public MouseInfo(java.awt.event.MouseEvent e)

  Konstruktor zur Initialisierung eines MouseInfo-Objektes mit einem MouseEvent-Objekt.

  Der Konstruktor wird Theater-intern aufgerufen.

  Parameters:
    `e` - das eingetretene MouseEvent

Method Detail

### getColumn

    public int getColumn()

  Die Methode liefert die Spalte, über der sich der Mauszeiger aktuell befindet.

  Returns:
    die Spalte, über der sich der Mauszeiger befindet

### getComponent

    public java.awt.Component getComponent()

  Überschreibt die geerbte Methode und liefert im Falle eines Aufrufs eine RuntimeException, da ein Zugriff auf die Theater-interne Java-AWT-Komponente nicht erlaubt ist.

  Overrides:
    `getComponent` in class `java.awt.event.ComponentEvent`
  Returns:
    wirft immer eine RuntimeException
  Throws:
    `java.lang.RuntimeException` - wird bei jedem Aufruf der Methode geworfen
  See Also:
    `ComponentEvent.getComponent()`

### getPoint

    public java.awt.Point getPoint()

  Überschreibt die geerbte Methode. In dem Fall, dass die Bühne über das Maus-Event informiert wird, also das aktuelle Bühnenobjekt das Source-Objekt ist, liefert die Methode die x- und y-Koordinate des Mauszeigers bezüglich des Hintergrundes. In dem Fall, dass eine Komponente über das Maus-Event informiert wird, also die Komponente das Source-Objekt ist, liefert die Methode die x- und y-Koordinate des Mauszeigers bezüglich des der Komponente zugeordneten Ikons.

  Overrides:
    `getPoint` in class `java.awt.event.MouseEvent`
  Returns:
    die x- und y-Koordinate des Maus-Events relativ gesehen zum Source-Objekt
  See Also:
    `MouseEvent.getPoint()`

### getRow

    public int getRow()

  Die Methode liefert die Reihe, über der sich der Mauszeiger aktuell befindet.

  Returns:
    die Reihe, über der sich der Mauszeiger befindet

### getSource

    public java.lang.Object getSource()

  Überschreibt die geerbte Methode und liefert das jeweilige Komponenten- bzw. Bühnenobjekt, oberhalb dessen Ikon das Event aufgetreten ist.

  Overrides:
    `getSource` in class `java.util.EventObject`
  Returns:
    das jeweilige Komponenten- bzw. Bühnenobjekt, oberhalb dessen Ikon das Event aufgetreten ist
  See Also:
    `EventObject.getSource()`

### getUserObject

    public java.lang.Object getUserObject()

  Tritt ein Maus-Event ein, so werden alle Komponenten und die Bühne darüber informiert, insofern das Maus-Event oberhalb des ihnen zugeordneten Icons erfolgte, sie eine entsprechenden Handler-Methode definiert und die Maus-Event-Benachrichtigung aktiviert haben. Für die Reihenfolge der Benachrichtigung gilt: Je weiter das Objekt auf der Bühne im Vordergrund ist, desto eher wird es informiert. Die Bühne wird als letzte informiert. Das MouseInfo-Objekt, das dabei den Methoden übergeben wird, ist dabei immer das gleiche. Über die Methode setUserObject bekommen die Komponenten die Möglichkeit zu kommunizieren, indem sie dem MouseInfo-Objekt ein anwendungsspezifisches Objekt zuzuordnen, das später benachrichtigte Objekte über die Methode getUserObject abfragen können.

  Returns:
    das dem MouseInfo-Objekt mittels der Methode setUserObject zugeordnete Objekt oder null, falls kein Objekt zugeordnet wurde.

### getX

    public int getX()

  Überschreibt die geerbte Methode. In dem Fall, dass die Bühne über das Maus-Event informiert wird, also das aktuelle Bühnenobjekt das Source-Objekt ist, liefert die Methode die x-Koordinate des Mauszeigers bezüglich des Hintergrundes. In dem Fall, dass eine Komponente über das Maus-Event informiert wird, also die Komponente das Source-Objekt ist, liefert die Methode die x-Koordinate des Mauszeigers bezüglich des der Komponente zugeordneten Ikons.

  Overrides:
    `getX` in class `java.awt.event.MouseEvent`
  Returns:
    die x-Koordinate des Maus-Events relativ gesehen zum Source-Objekt
  See Also:
    `MouseEvent.getX()`

### getY

    public int getY()

  Überschreibt die geerbte Methode. In dem Fall, dass die Bühne über das Maus-Event informiert wird, also das aktuelle Bühnenobjekt das Source-Objekt ist, liefert die Methode die y-Koordinate des Mauszeigers bezüglich des Hintergrundes. In dem Fall, dass eine Komponente über das Maus-Event informiert wird, also die Komponente das Source-Objekt ist, liefert die Methode die y-Koordinate des Mauszeigers bezüglich des der Komponente zugeordneten Ikons.

  Overrides:
    `getY` in class `java.awt.event.MouseEvent`
  Returns:
    die y-Koordinate des Maus-Events relativ gesehen zum Source-Objekt
  See Also:
    `MouseEvent.getY()`

### setColumn

    public final void setColumn(int col)

  Setzt die Spalte, über der sich der Mauszeiger aktuell befindet. Die Methode wird Theater-intern aufgerufen.

  Parameters:
    `col` - die neue Spalte

### setRow

    public final void setRow(int row)

  Setzt die Reihe, über der sich der Mauszeiger aktuell befindet. Die Methode wird Theater-intern aufgerufen.

  Parameters:
    `row` - die neue Reihe

### setSource

    public final void setSource(java.lang.Object source)

  Setzt das Source-Objekt. Die Methode wird Theater-intern aufgerufen.

  Overrides:
    `setSource` in class `java.awt.AWTEvent`
  Parameters:
    `source` - das neue Source-Objekt

### setUserObject

    public void setUserObject(java.lang.Object userObject)

  Tritt ein Maus-Event ein, so werden alle Komponenten und die Bühne darüber informiert, insofern das Maus-Event oberhalb des ihnen zugeordneten Icons erfolgte, sie eine entsprechenden Handler-Methode definiert und die Maus-Event-Benachrichtigung aktiviert haben. Für die Reihenfolge der Benachrichtigung gilt: Je weiter das Objekt auf der Bühne im Vordergrund ist, desto eher wird es informiert. Die Bühne wird als letzte informiert. Das MouseInfo-Objekt, das dabei den Methoden übergeben wird, ist dabei immer das gleiche. Über die Methode setUserObject bekommen die Komponenten die Möglichkeit zu kommunizieren, indem sie dem MouseInfo-Objekt ein anwendungsspezifisches Objekt zuzuordnen, das später benachrichtigte Objekte über die Methode getUserObject abfragen können.

  Parameters:
    `userObject` - ein beliebiges anwendungsspezifisches Objekt

### setX

    public final void setX(int x)

  Setzt die x-Koordinate. Die Methode wird Theater-intern aufgerufen.

  Parameters:
    `x` - die neue x-Koordinate

### setY

    public final void setY(int y)

  Setzt die y-Koordinate. Die Methode wird Theater-intern aufgerufen.

  Parameters:
    `y` - die neue y-Koordinate

Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD